let _vue = null
import Toast from 'components/Toast'

let _toast = null
class Plug {
  constructor () {
    _toast = this.createToast()
  }
  toast (msg, position, time) {
    _toast.push(msg, position, time)
  }
  createToast () {
    let VToast = _vue.extend(Toast)
    let toast = new VToast()
    toast.$mount().$appendTo('body')
    return toast
  }
}

let install = (Vue) => {
  _vue = Vue
  let plug = new Plug()
  Vue.prototype.$toast = plug.toast
}
export default {install}
